classification
Title: nonexistent data items declared as exports in sysmodule.h
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: BreamoreBoy, christian.heimes, jlaurila, python-dev, serhiy.storchaka
Priority: normal Keywords: easy, patch

Created on 2008-01-10 15:54 by jlaurila, last changed 2013-02-01 11:24 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
sysmodule_h_cleanup-2.7.patch serhiy.storchaka, 2013-01-30 18:25 review
sysmodule_h_cleanup-3.x.patch serhiy.storchaka, 2013-01-30 18:27 review
Messages (6)
msg59663 - (view) Author: Jukka Laurila (jlaurila) Date: 2008-01-10 15:54
sysmodule.h contains the following declarations for data to be exported
from the Python DLL, but these variables don't seem to exist anywhere:

PyAPI_DATA(PyObject *) _PySys_TraceFunc, *_PySys_ProfileFunc;
PyAPI_DATA(int) _PySys_CheckInterval;

Either the declarations should be removed or the variables should be
defined somewhere. I'm proposing the former.
msg59667 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-10 16:12
Sounds good to me. The vars were probably forgotten. The header files
may contain more missing vars, too.
msg116862 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-09-19 11:05
The 1st declaration still exists, the 2nd has been removed.
msg180983 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-30 18:27
Here are patches.
msg181075 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-02-01 11:17
New changeset 6074530b526f by Serhiy Storchaka in branch '2.7':
Issue #1783: Remove declarations of nonexistent private variables.
http://hg.python.org/cpython/rev/6074530b526f

New changeset 349419bb6283 by Serhiy Storchaka in branch '3.2':
Issue #1783: Remove declarations of nonexistent private variables.
http://hg.python.org/cpython/rev/349419bb6283

New changeset 9d68f705e25f by Serhiy Storchaka in branch '3.3':
Issue #1783: Remove declarations of nonexistent private variables.
http://hg.python.org/cpython/rev/9d68f705e25f

New changeset 905b4e3cf6d0 by Serhiy Storchaka in branch 'default':
Issue #1783: Remove declarations of nonexistent private variables.
http://hg.python.org/cpython/rev/905b4e3cf6d0
msg181076 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-01 11:24
Thank you for the report, Jukka Laurila.
History
Date User Action Args
2013-02-01 11:24:47serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg181076

stage: patch review -> resolved
2013-02-01 11:17:29python-devsetnosy: + python-dev
messages: + msg181075
2013-01-30 18:27:48serhiy.storchakasetfiles: + sysmodule_h_cleanup-3.x.patch

assignee: serhiy.storchaka
versions: + Python 3.2, Python 3.3, Python 3.4, - Python 3.1
keywords: + easy
nosy: + serhiy.storchaka

messages: + msg180983
stage: needs patch -> patch review
2013-01-30 18:25:14serhiy.storchakasetfiles: + sysmodule_h_cleanup-2.7.patch
keywords: + patch
2010-09-19 11:05:32BreamoreBoysetnosy: + BreamoreBoy
messages: + msg116862
2009-05-13 21:51:20ajaksu2setstage: needs patch
type: behavior
versions: + Python 3.1, Python 2.7, - Python 2.6, Python 3.0
2008-01-10 16:12:57christian.heimessetpriority: normal
nosy: + christian.heimes
messages: + msg59667
versions: + Python 3.0, - Python 2.5
2008-01-10 15:54:11jlaurilacreate